
module ram64x8_v2 // varianta cu always combinational pe citire
	(
		input wire clock,
		//interfata de citire
			input wire [5:0] addr_read,
			output reg [7:0] data_read,
		// interfata de scriere
			input wire we,
			input wire [5:0] addr_write,
			input wire [7:0] data_write
    );
    
reg [7:0] memorie_efectiva [0:63];  

always@(*) //  citire asincrona fata de clock 
begin
	data_read = memorie_efectiva[addr_read]; 
end

always@(posedge clock)
begin    
    if(we == 1)
    	begin
    	memorie_efectiva[addr_write] = data_write; // scriu la locatia data de "addr_write" din memoria efectiva datele "data_write"
    	end 
end    
    
endmodule
